Page MenuHomePhabricator

Add chi, psi and omega selector to the elasticsearch dashboards in grafana
Closed, ResolvedPublic

Description

Most of the dashboards in grafana are designed to have a cluster per DC, we need to refactor them so that we can select a specific cluster.

e.g. https://grafana.wikimedia.org/d/000000461/elasticsearch-indexing-prometheus?orgId=1 should include a drop-down menu to select between chi (current prod instance), psi or omega.

For now we should only rework graphs where the metrics that are extracted directly from elasticsearch, MediaWiki and CirrusSearch metrics may not report the cluster name in a useful way yet.

Event Timeline

dcausse created this task.Dec 14 2018, 7:49 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 14 2018, 7:49 AM
Restricted Application edited projects, added Discovery-Search; removed Discovery-Search (Current work). · View Herald TranscriptDec 14 2018, 7:50 AM
EBjune moved this task from needs triage to Up Next on the Discovery-Search board.Dec 18 2018, 6:54 PM
Mathew.onipe triaged this task as Normal priority.Dec 20 2018, 9:01 AM

@dcausse Done!

Some of metrics are dependent on this T210592

debt closed this task as Resolved.Jan 14 2019, 11:47 PM